Generic Image Library: RandomAccessNDImageConcept< Image > Struct Template Reference

###  | #  |

Public Member Functions | Public Attributes | List of all members
RandomAccessNDImageConcept< Image > Struct Template Reference
Image » Concepts

N-dimensional container of values. More...

`#include <image.hpp>`

## Public Member Functions
void | constraints ()

## Public Attributes
Image | image

## Detailed Description

template<typename Image>
struct boost::gil::RandomAccessNDImageConcept< Image >

N-dimensional container of values.

concept RandomAccessNDImageConcept<typename Image> : Regular<Image>
{
typename view_t; where MutableRandomAccessNDImageViewConcept<view_t>;
typename const_view_t = view_t::const_t;
typename point_t = view_t::point_t;
typename value_type = view_t::value_type;
typename allocator_type;
Image::Image(point_t dims, std::size_t alignment=1);
Image::Image(point_t dims, value_type fill_value, std::size_t alignment);
void Image::recreate(point_t new_dims, std::size_t alignment=1);
void Image::recreate(point_t new_dims, value_type fill_value, std::size_t alignment);
point_t const& Image::dimensions() const;
const const_view_t& const_view(const Image&);
const view_t& view(Image&);
};
boost::gil::point< std::ptrdiff_t >
boost::gil::view
auto view(image< Pixel, IsPlanar, Alloc > &img) -> typename image< Pixel, IsPlanar, Alloc >::view_t const &
Returns the non-constant-pixel view of an image.
Definition: image.hpp:565
boost::gil::const_view
auto const_view(const image< Pixel, IsPlanar, Alloc > &img) -> typename image< Pixel, IsPlanar, Alloc >::const_view_t const
Returns the constant-pixel view of an image.
Definition: image.hpp:573
boost::gil::MutableRandomAccessNDImageViewConcept
N-dimensional view over mutable values.
Definition: concepts/image_view.hpp:471
boost::gil::RandomAccessNDImageConcept
N-dimensional container of values.
Definition: concepts/image.hpp:58
boost::gil::Regular
Concept for type regularity requirement.
Definition: basic.hpp:142

The documentation for this struct was generated from the following file:

- concepts/image.hpp